Bug 29052 - Make consistent use of spans and div with hint class
Summary: Make consistent use of spans and div with hint class
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-17 18:04 UTC by Owen Leonard
Modified: 2021-10-22 15:45 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29052: Make consistent use of spans and div with hint class (27.75 KB, patch)
2021-09-17 18:19 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29052: Make consistent use of spans and div with hint class (27.77 KB, patch)
2021-10-18 16:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29052: Make consistent use of spans and div with hint class (27.82 KB, patch)
2021-10-18 22:03 UTC, David Nind
Details | Diff | Splinter Review
Bug 29052 – Form field label display (before and after) (113.03 KB, application/pdf)
2021-10-18 22:15 UTC, David Nind
Details
Bug 29052: Make consistent use of spans and div with hint class (27.95 KB, patch)
2021-10-19 21:19 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-09-17 18:04:30 UTC
When adding help text alongside input fields in staff interface forms the text should be wrapped in <span class="hint"> or <div class="hint">. This patch will make corrections to several pages.
Comment 1 Owen Leonard 2021-09-17 18:19:01 UTC Comment hidden (obsolete)
Comment 2 David Nind 2021-10-16 20:24:44 UTC
Patch no longer applies 8-(..

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 29052: Make consistent use of spans and div with hint class
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/css/src/staff-global.scss
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/authorised_values.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/itemtypes.tt
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/marc_subfields_structure.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/marc_subfields_structure.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/itemtypes.tt
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/itemtypes.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/authorised_values.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/css/src/staff-global.scss
error: Failed to merge in the changes.
Patch failed at 0001 Bug 29052: Make consistent use of spans and div with hint class
Comment 3 Owen Leonard 2021-10-18 16:53:43 UTC
Created attachment 126447 [details] [review]
Bug 29052: Make consistent use of spans and div with hint class

This patch makes minor HTML corrections to several templates, primarily
to wrap form help text in <span class="hint"> or <div class="hint">.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

View the following pages to confirm that forms look correct:

- Administration -> Authority types -> Authority type -> Edit.
- Administration -> Authority types -> Authority type -> MARC structure.
  -> Subfields -> Edit.
- Administration -> Authorised values -> View category -> New authorized
  value.
- Administration -> Credit types -> New credit type.
- Administration -> Debit types -> New debit type.
- Administration -> Item types -> New item type.
  Also changed: Added link to ITEMTYPECAT authorized value page for
  users with the correct permission.
- Administration -> MARC frameworks -> MARC structure -> Edit subfields.
- Administration -> Patron attribute types -> New patron attribute type.
- Administration -> Share content with Mana KB.
- Administration -> Z39.50/SRU servers -> New Z39.50 server.
Comment 4 David Nind 2021-10-18 22:03:46 UTC
Created attachment 126467 [details] [review]
Bug 29052: Make consistent use of spans and div with hint class

This patch makes minor HTML corrections to several templates, primarily
to wrap form help text in <span class="hint"> or <div class="hint">.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

View the following pages to confirm that forms look correct:

- Administration -> Authority types -> Authority type -> Edit.
- Administration -> Authority types -> Authority type -> MARC structure.
  -> Subfields -> Edit.
- Administration -> Authorised values -> View category -> New authorized
  value.
- Administration -> Credit types -> New credit type.
- Administration -> Debit types -> New debit type.
- Administration -> Item types -> New item type.
  Also changed: Added link to ITEMTYPECAT authorized value page for
  users with the correct permission.
- Administration -> MARC frameworks -> MARC structure -> Edit subfields.
- Administration -> Patron attribute types -> New patron attribute type.
- Administration -> Share content with Mana KB.
- Administration -> Z39.50/SRU servers -> New Z39.50 server.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 David Nind 2021-10-18 22:15:09 UTC
Created attachment 126468 [details]
Bug 29052 – Form field label display (before and after)

One very small difference (and not a showstopper for me) is the display of the form field labels. 

They seem to wrap around more rather than display on one line - see the attached example. The Add item type (which I didn't take a screen shot of) is probably a better example.

Overall, a really nice improvement!
Comment 6 Katrin Fischer 2021-10-19 21:19:30 UTC
Created attachment 126549 [details] [review]
Bug 29052: Make consistent use of spans and div with hint class

This patch makes minor HTML corrections to several templates, primarily
to wrap form help text in <span class="hint"> or <div class="hint">.

To test, apply the patch and rebuild the staff interface CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

View the following pages to confirm that forms look correct:

- Administration -> Authority types -> Authority type -> Edit.
- Administration -> Authority types -> Authority type -> MARC structure.
  -> Subfields -> Edit.
- Administration -> Authorised values -> View category -> New authorized
  value.
- Administration -> Credit types -> New credit type.
- Administration -> Debit types -> New debit type.
- Administration -> Item types -> New item type.
  Also changed: Added link to ITEMTYPECAT authorized value page for
  users with the correct permission.
- Administration -> MARC frameworks -> MARC structure -> Edit subfields.
- Administration -> Patron attribute types -> New patron attribute type.
- Administration -> Share content with Mana KB.
- Administration -> Z39.50/SRU servers -> New Z39.50 server.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-10-19 21:19:58 UTC
I especially like the changes to the Z39.50 server page. :)
Comment 8 Jonathan Druart 2021-10-21 10:25:01 UTC
Pushed to master for 21.11, thanks to everybody involved!